View Issue Details

IDProjectCategoryView StatusLast Update
0002839Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.4.0.840 
Target VersionFixed in Version6.4.0.886 
Summary0002839: Rig Control: bad parameters to mbstowcs_s() cause crash at startup
DescriptionAt startup, the Rig Control applciation tries to handle the user's license. It passes a block of data to a thread, which unpacks that data and converts one of the strings in it from multi-byte to wide characters. The call to mbcstowcs_s() is incorrectly coded; it has no defense against strings that are unexpectedly too long, and crashes in that situation--which causes the application not to start without any error message for the user.

No specific repro is provided as this issue was discovered by examining crash dumps reported on the Microsoft Dev Center Dashboard. A spreadsheet with the populated stack dump is attached for reference.

This doesn't seem to be a particularly common crash type; less than 1% of the time ... but it's there, so lets fix it.
TagsNo tags attached.
ModuleRig Control
Sub-Module(select)
Testing Not Tested

Relationships

Activities

K7ZCZ

2018-08-13 10:11

manager  

Mantis2839Stack.xlsx (9,423 bytes)

K7ZCZ

2018-08-15 06:46

manager   ~0005975

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4278

WA9PIE

2018-09-07 16:52

administrator   ~0006116

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-13 10:09 K7ZCZ New Issue
2018-08-13 10:11 K7ZCZ File Added: Mantis2839Stack.xlsx
2018-08-15 06:46 K7ZCZ Assigned To => K7ZCZ
2018-08-15 06:46 K7ZCZ Status new => resolved
2018-08-15 06:46 K7ZCZ Resolution open => fixed
2018-08-15 06:46 K7ZCZ Note Added: 0005975
2018-08-29 18:40 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 16:52 WA9PIE Status resolved => closed
2018-09-07 16:52 WA9PIE Description Updated View Revisions
2018-09-07 16:52 WA9PIE Testing Not Started => Not Tested
2018-09-07 16:52 WA9PIE Note Added: 0006116
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886